petsc-3.4.2 2013-07-02

# VecSum

Computes the sum of all the components of a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSum(Vec v,PetscScalar *sum)

Collective on Vec

### Input Parameter

v -the vector

### Output Parameter

sum -the result

### See Also

VecNorm()

Level:beginner
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex18.c.html
src/ts/examples/tutorials/ex9.c.html